org.apache.ignite.mxbean

## Interface MetricsMxBean

All Known Implementing Classes:
  MetricsMxBeanImpl

    @MXBeanDescription(value="MBean that provides access to Ignite metrics management methods.")
    public interface MetricsMxBean

Metrics MXBean interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `configureHistogramMetric(String name, long[] bounds)` Change `HistogramMetric` configuration.
`void` `configureHitRateMetric(String name, long rateTimeInterval)` Change `HitRateMetric` configuration.
`void` `resetMetrics(String registry)` Resets metrics for of a given registry.

### Method Detail

#### resetMetrics

    @MXBeanDescription(value="Resets metrics of a given registry.")
    void resetMetrics(@MXBeanParameter(name="registry",description="Metrics registry.")
                                                                                      String registry)

Resets metrics for of a given registry.

Parameters:
  `registry` - Metrics registry name.

#### configureHitRateMetric

    @MXBeanDescription(value="Configure hitrate metric.")
    void configureHitRateMetric(@MXBeanParameter(name="name",description="Metric name.")
                                                                                      String name,
                                                                                      @MXBeanParameter(name="cfg",description="New rate time interval.")
                                                                                      long rateTimeInterval)
                                                                               throws IgniteException

Change `HitRateMetric` configuration. Call of this method will change metric configuration across all cluster nodes.

Parameters:
  `name` - Metric name.
  `rateTimeInterval` - New rate time interval.
Throws:
  `IgniteException` - If some error occured.

#### configureHistogramMetric

    @MXBeanDescription(value="Configure histogram metric.")
    void configureHistogramMetric(@MXBeanParameter(name="name",description="Metric name.")
                                                                                          String name,
                                                                                          @MXBeanParameter(name="cfg",description="New bounds.")
                                                                                          long[] bounds)
                                                                                   throws IgniteException

Change `HistogramMetric` configuration. Call of this method will change metric configuration across all cluster nodes.

Parameters:
  `name` - Metric name.
  `bounds` - New bounds.
Throws:
  `IgniteException` - If some error occured.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023